.bg-label,
.bg-metric,
.bg-annotation {
  color: white;
  padding: 10px 8px;
  font-size: .875rem;
  font-weight: 400;
  margin-right: 10px;
}

.bg-label:hover,
.bg-metric:hover {
  color: white !important;
  background-color: RGBA(255, 255, 255, 0.1) !important;
}

.bg-label,
.bg-label:hover {
  border: RGB(34, 120, 49) 2px solid !important;
}

.bg-metric,
.bg-metric:hover {
  border: RGB(12, 92, 155) 2px solid !important;
}

.bg-annotation,
.bg-annotation:hover {
  border: RGB(236, 243, 158) 2px solid !important;
}

.btn-check:checked+.btn::before {
  content: ' ';
  /* background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 512 512' id='IconChangeColor'%3E%3Ctitle%3Eionicons-v5-e%3C/title%3E%3Cpolyline points='416 128 192 384 96 288' style='fill:none%3Bstroke:%23000%3Bstroke-linecap:square%3Bstroke-miterlimit:10%3Bstroke-width:44px'%3E%3C/polyline%3E%3C/svg%3E"); */
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='14' zoomAndPan='magnify' viewBox='0 0 30 30.000001' height='14' preserveAspectRatio='xMidYMid meet' version='1.0' id='IconChangeColor'%3E%3Cdefs%3E%3CclipPath id='id1'%3E%3Cpath d='M 2.328125 4.222656 L 27.734375 4.222656 L 27.734375 24.542969 L 2.328125 24.542969 Z M 2.328125 4.222656 ' clip-rule='nonzero' id='mainIconPathAttribute'%3E%3C/path%3E%3C/clipPath%3E%3C/defs%3E%3Cg clip-path='url(%23id1)'%3E%3Cpath fill='rgb(13.729858%25  12.159729%25  12.548828%25)' d='M 27.5 7.53125 L 24.464844 4.542969 C 24.15625 4.238281 23.65625 4.238281 23.347656 4.542969 L 11.035156 16.667969 L 6.824219 12.523438 C 6.527344 12.230469 6 12.230469 5.703125 12.523438 L 2.640625 15.539062 C 2.332031 15.84375 2.332031 16.335938 2.640625 16.640625 L 10.445312 24.324219 C 10.59375 24.472656 10.796875 24.554688 11.007812 24.554688 C 11.214844 24.554688 11.417969 24.472656 11.566406 24.324219 L 27.5 8.632812 C 27.648438 8.488281 27.734375 8.289062 27.734375 8.082031 C 27.734375 7.875 27.648438 7.679688 27.5 7.53125 Z M 27.5 7.53125 ' fill-opacity='1' fill-rule='nonzero' id='mainIconPathAttribute'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
  width: 14px;
  height: 14px;
  display: inline-block;
  margin-right: 5px;
}

.btn-check:checked+.btn.bg-label {
  background-color: RGB(34, 120, 49) !important;
}

.btn-check:checked+.btn.bg-metric {
  background-color: RGB(12, 92, 155) !important;
}

.btn-unstyled {
  background: none !important;
  border: none;
  padding: 0 !important;
  color: #0d6efd;
  text-decoration: underline;
  cursor: pointer;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 6;
  -webkit-box-orient: vertical;
}

time[title] {
  text-decoration: underline dotted;
}

.arrow {
  stroke: rgb(0, 0, 0);
  stroke-width: 2;
  marker-end: url(#markerArrow);
}

.border-dotted {
  border-style: dotted !important;
}

.border-dashed {
  border-style: dashed solid !important;
}

body {
  background-color: #212121;
  color: rgb(250, 250, 250);
}

.nav-menu {
  background-color: #181818;
  height: 3rem;
  justify-content: space-between;
  display: flex;
}

.nav-link {
  font-size: 0.875rem;
  font-weight: 500;
  text-transform: uppercase;
  color: rgb(250, 250, 250) !important;
  padding: 0 25px !important;
}

.row ul,
.row ol {
  padding-left: 2rem !important;
}

.table {
  color: rgb(250, 250, 250) !important;
  border: 0;
}

/* .table > :not(caption) > * > * {
  border: 0;
} */
.table-hover>tbody>tr:hover>* {
  color: rgb(250, 250, 250) !important;
  background-color: #535353 !important;
}

.card {
  background-color: rgb(27, 29, 36);
  border: 1px solid #535353;
}

.border {
  border: 1px solid #535353 !important;
}

.card>.card-img-top>p.text-light,
.popover-header {
  color: rgb(27, 29, 36) !important;
}

code,
.card code {
  color: #f08a90 !important;
}

a {
  color: #6ba6fe;
}

.text-muted,
.link-secondary {
  color: #b0b5ba !important;
}

.text-black {
  color: black !important;
}

.text-white {
  color: white !important;
}

.modal-content,
.modal-content>.modal-body>.table-responsive>table {
  color: rgb(0, 0, 0) !important;
}

.modal-content>.modal-body>ul>li>.badge {
  background-color: black;
  color: white !important;
}

.modal-content>.modal-body>ul>li>.badge:hover {
  background-color: #535353 !important;
}


.modal-content>.modal-body>p>.badge {
  background-color: black !important;
  color: white !important;

}

.modal-content>.modal-body>p>.badge:hover {
  background-color: #535353 !important;
}


.modal-content>.modal-body>.table-responsive>.table-hover>tbody>tr:hover>* {
  color: rgb(0, 0, 0) !important;
  background-color: #b0b5ba !important;
}

.form-control {
  background-color: #303030 !important;
  border: 1px solid #212121;
  border-bottom: 1px solid #fff;
  color: #fff !important;
  border-radius: 0 !important;
}

.leader-line text {
  stroke-width: 0px !important;
}

.bottle-labels-metrics {
  margin: 5px 0px;
  padding: 10px 0px;
  border-top: RGBA(255, 255, 255, 0.2) 1px solid;
  border-bottom: RGBA(255, 255, 255, 0.2) 1px solid;
}

.copy-bottle-digest {
  max-width: 75%;
}

.bottle-attribute-icon {
  height: 2em !important;
  width: 2em !important;
  margin-right: 0.5em !important;
  margin-bottom: 0.5em;
}

.bottle-attribute-icon-pill {
  height: 2.5em !important;
  width: 2.5em !important;
}

.bottle-attribute-icon-bottle {
  display: block !important;
  width: 3em !important;
  height: 3em !important;
}

/* animations */
.fade-in.htmx-added {
  opacity: 0;
}

.fade-in {
  transition: opacity ease-in 900ms;
}

.fade-out.htmx-swapping {
  opacity: 0;
}

.fade-out {
  transition: opacity ease-out 900ms;
}

#bottle_details_button{
  margin: 5px 0px 5px 0px !important;
}